# Generated by Django 3.1.3 on 2020-11-24 10:52

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0012_alter_user_first_name_max_length'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Collection',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=100, verbose_name='Collection title')),
                ('slug', models.SlugField(verbose_name='Collection URL slug')),
                ('description', models.TextField(blank=True, null=True, verbose_name='Collection description')),
                ('visibility', models.CharField(choices=[('public', 'Publicly accessible'), ('internal', 'Accessible only by members of your collaboration'), ('private', 'Accessible only by you')], default='private', max_length=16, verbose_name='Collection visibility level')),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='collections', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Profile',
            fields=[
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, primary_key=True, serialize=False, to='auth.user')),
                ('cern_upn', models.CharField(max_length=100, unique=True, verbose_name='User Principal Name')),
                ('home_institute', models.CharField(blank=True, max_length=100, null=True, verbose_name='Home Institute')),
                ('cern_person_id', models.IntegerField(blank=True, null=True, verbose_name='CERN Person ID')),
                ('visibility', models.CharField(choices=[('public', 'Publicly accessible'), ('internal', 'Accessible only by members of your collaboration'), ('private', 'Accessible only by you')], default='private', max_length=16, verbose_name='Collection visibility level')),
            ],
        ),
        migrations.CreateModel(
            name='Plot',
            fields=[
                ('uuid', models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False)),
                ('uhepp', models.JSONField()),
                ('collection', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='plots', to='uhepp_vault.collection')),
            ],
        ),
    ]
